
export interface IDeviceSetupItemProps {
    deviceName: string,
    input: string
}

/**
 * Data model to hold device setup items.
 */
export class DeviceSetupItem {
    private _deviceId: string = "";
    private _input: string = "";
    constructor(props: IDeviceSetupItemProps) {
        this._deviceId = props.deviceName;
        this._input = props.input;
    }

    public get deviceName() {
        return this._deviceId;
    }

    public get input() {
        return this._input;
    }
}